package cmm.service;

import java.util.List;

import egovframework.rte.fdl.cmmn.exception.EgovBizException;

/**
 * 맵 콘텐츠에 대한 서비스 인터페이스 클래스를 정의한다
 * @Class Name : CmmPmsMapContentsService.java
 * @author ecplaza 
 * @since 2018-06-26
 * @version 1.0
 */
public interface CmmPmsMapContentsService {
	int selectCmmPmsMapCntnsStoryCnt(CmmPmsMapContentsVO cmmPmsMapContentsVO) throws EgovBizException;
	int selectCmmPmsMapLocalCultureCnt(CmmPmsMapContentsVO cmmPmsMapContentsVO) throws EgovBizException;
	List<CmmCouncilInfoVO> selectCmmPmsMapAoiCouncilInfoList(CmmPmsMapContentsVO cmmPmsMapContentsVO) throws EgovBizException;
	List<CmmPmsMapContentsVO> selectCmmPmsMapContentsList(CmmPmsMapContentsVO cmmPmsMapContentsVO) throws EgovBizException;
	List<CmmPmsMapContentsVO> selectCmmPmsMapContentsSearchList(CmmPmsMapContentsVO cmmPmsMapContentsVO) throws EgovBizException;
}
